https://pulumi.com logo
#google-cloud
Title
# google-cloud
c

colossal-eye-97585

09/07/2023, 10:31 AM
Hi all, When I am running pulumi preview using go1.20.7 I get this error message:
Copy code
Diagnostics:
  pulumi:pulumi:Stack (google-cloud-sql-example-us-east4-dev-google-cloud-sql-example):
    Configuration:
        aws:region: us-east4
        gcp:project: gcp-s1-dev-embedded-devops
        google-cloud-sql-example:configPath: config_files/us-east4-dev.yaml
        google-cloud-sql-example:env: dev
        google-cloud-sql-example:region: us-east4
    error: error in compiling Go: unable to run `go build`: exit status 1

    error obtaining VCS status: exit status 128
    	Use -buildvcs=false to disable VCS stamping.
same when using go1.19 and go1.18
And my modules require at least 1.19 - so i cannot use go with older version
pulumi command am using:
Copy code
pulumi preview --config region=us-east4 --config env=dev --config aws:region=us-east4 --config configPath=config_files/us-east4-dev.yaml --config gcp:project=gcp-s1-dev-embedded-devops --stack us-east4-dev-google-cloud-sql-example --show-config